Loading...
Searching...
No Matches
day.h File Reference

Go to the source code of this file.

## Classes

class | etl::chrono::day
| day More...

## Namespaces

namespace | etl

## Functions

ETL_CONSTEXPR14 bool | etl::chrono::operator== (const etl::chrono::day &d1, const etl::chrono::day &d2) ETL_NOEXCEPT
| Equality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator!= (const etl::chrono::day &d1, const etl::chrono::day &d2) ETL_NOEXCEPT
| Inequality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator< (const etl::chrono::day &d1, const etl::chrono::day &d2) ETL_NOEXCEPT
| Less-than operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator<= (const etl::chrono::day &d1, const etl::chrono::day &d2) ETL_NOEXCEPT
| Less-than-or-equal operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator> (const etl::chrono::day &d1, const etl::chrono::day &d2) ETL_NOEXCEPT
| Greater-than operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator>= (const etl::chrono::day &d1, const etl::chrono::day &d2) ETL_NOEXCEPT
| Greater-than-or-equal operator.
ETL_CONSTEXPR14 etl::chrono::day | etl::chrono::operator+ (const etl::chrono::day &d, const etl::chrono::days &ds) ETL_NOEXCEPT
| Spaceship operator.
ETL_CONSTEXPR14 etl::chrono::day | etl::chrono::operator+ (const etl::chrono::days &ds, const etl::chrono::day &d) ETL_NOEXCEPT
ETL_CONSTEXPR14 etl::chrono::day | etl::chrono::operator- (const etl::chrono::day &d, const etl::chrono::days &ds) ETL_NOEXCEPT
ETL_CONSTEXPR14 etl::chrono::days | etl::chrono::operator- (const etl::chrono::day &d1, const etl::chrono::day &d2) ETL_NOEXCEPT

## Function Documentation

## operator+() [1/2]

ETL_CONSTEXPR14 etl::chrono::day etl::chrono::operator+ | ( | const etl::chrono::day & | d,
|  | const etl::chrono::days & | ds )

inline

Spaceship operator.

Add etl::chrono::days to etl::chrono::day

Returns
  etl::chrono::day

## operator+() [2/2]

ETL_CONSTEXPR14 etl::chrono::day etl::chrono::operator+ | ( | const etl::chrono::days & | ds,
|  | const etl::chrono::day & | d )

inline

Add etl::chrono::day to etl::chrono::days

Returns
  etl::chrono::day

## operator-() [1/2]

ETL_CONSTEXPR14 etl::chrono::day etl::chrono::operator- | ( | const etl::chrono::day & | d,
|  | const etl::chrono::days & | ds )

inline

Subtract etl::chrono::days from etl::chrono::day

Returns
  etl::chrono::day

## operator-() [2/2]

ETL_CONSTEXPR14 etl::chrono::days etl::chrono::operator- | ( | const etl::chrono::day & | d1,
|  | const etl::chrono::day & | d2 )

inline

Subtract etl::chrono::day from etl::chrono::day

Returns
  etl::chrono::days